# OctaneRender for Poser: Set ALl Hair Props To Populated
# 
# Copyright (c) 2014, Paul Kinnane, Physicalc Software Pty Ptd
#
# For additional support, contact Paul Kinnane at support@physicalc-software.com
#
# Version 1.0 - original release
#
#========================================================================================================================================
import poser
import wx

print
print "OctaneRender for Poser : Setting All Hair Prop to Populated"
print "-------------------------------------------------------------------------"

for h in poser.Scene().Actors():
    if h.NumHairGroups() > 0:
        for i in range(h.NumHairGroups()):
            hg = h.HairGroup(i)
            if (hg.ShowPopulated() == 0):
                print "Setting " + hg.Name() + " to Show Populated"
                hg.SetShowPopulated(1)
                
            
print "Finished - enter the Hair Room to ensure all hair props are refreshed by Poser."